package com.zcloud.service.depository.impl;

import com.zcloud.entity.PageData;
import com.zcloud.util.Warden;

import java.util.Map;

public class HiddenLibraryWarden {
    public static PageData getExcel(Map<Integer, String> integerStringMap) {
        PageData entity = new PageData();
        entity.put("HIDDEN_LIBRARY_ID", Warden.get32UUID());
        entity.put("INDUSTRY_TYPE_ONE", integerStringMap.get(0));
        entity.put("INDUSTRY_TYPE_TWO", integerStringMap.get(1));
        entity.put("INDUSTRY_TYPE_THREE", integerStringMap.get(2));
        entity.put("INDUSTRY_TYPE_FOUR", integerStringMap.get(3));
        entity.put("HIDDEN_TYPE_ONE", integerStringMap.get(10));
        entity.put("HIDDEN_TYPE_TWO", integerStringMap.get(11));
        entity.put("HIDDEN_TYPE_THREE", integerStringMap.get(12));
        entity.put("RISK_UNIT_NAME", integerStringMap.get(4));
        entity.put("HIDDEN_PART", integerStringMap.get(5));
        entity.put("INSPECTION_BASIS", integerStringMap.get(6));
        entity.put("HIDDEN_DESCR", integerStringMap.get(7));
        entity.put("INSPECTION_INFO", integerStringMap.get(8));
        entity.put("RECTIFYDESCR",integerStringMap.get(13));
        return entity;
    }
}
